package com.iotechn.unimall.data.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;
import java.util.Date;

/**
 * 留言管理信息对象 message_management
 * 
 * @author jlb
 * @date 2023-05-29
 */
@Data
@TableName("message_management")
public class MessageManagement extends SuperDO{
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId("id")
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    @TableField("name")
    private String name;

    /** 手机号 */
    @Excel(name = "手机号")
    @TableField("phone")
    private String phone;

    /** 电子邮件 */
    @Excel(name = "电子邮件")
    @TableField("email")
    private String email;

    /** 留言内容 */
    @Excel(name = "留言内容")
    @TableField("content")
    private String content;

    /** 语言 */
    @Excel(name = "语言")
    @TableField("language")
    private String language;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_create")
    private Date gmtCreate;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_update")
    private Date gmtUpdate;

    /** 删除标识 */
    @Excel(name = "删除标识")
    @TableField("delete_flag")
    private Long deleteFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("email", getEmail())
            .append("content", getContent())
            .append("status", getStatus())
            .append("gmtCreate", getGmtCreate())
            .append("gmtUpdate", getGmtUpdate())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
